from django.urls import path

from . import views
from . import autocomplete as autocomplete_views

app_name = 'jobs'
urlpatterns = [
    path('', views.Index.as_view(), name='index'),
    path('jobs/create/', views.JobCreate.as_view(), name='job_create'),
    path('jobs/', views.JobList.as_view(), name='job_list'),
    path(
        'jobs/<int:pk>/detail/', views.JobDetail.as_view(), name='job_detail'),
    path('jobs/<int:pk>/renew/', views.JobRenew.as_view(), name='job_renew'),
    path('jobs/<int:job_pk>/applications/', views.ApplicationList.as_view(), name='job_applications'),
    path(
        'jobs/<int:job_pk>/apply/',
        views.ApplicationCreate.as_view(),
        name='job_apply'),
]

# autocomplete endpoints
urlpatterns += [
    path(
        'tag-autocomplete/',
        autocomplete_views.TagAutocomplete.as_view(create_field='name'),
        name='tag-autocomplete',
    ),
]